import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  appointmentId: z.literal(true).optional(),
  filename: z.literal(true).optional(),
  mimeType: z.literal(true).optional(),
  filePath: z.literal(true).optional()
}).strict();
export const AppointmentFileMaxAggregateInputObjectSchema: z.ZodType<Prisma.AppointmentFileMaxAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentFileMaxAggregateInputType>;
export const AppointmentFileMaxAggregateInputObjectZodSchema = makeSchema();
